const winston = require("winston");

const get_console_transport = require("./get_console_transport.js");
const {
	get_errors_log_transport,
	get_combined_log_transport
} = require("./get_log_transports.js");
const my_custom_levels = require("./my_custom_levels.js");

function get_default_logger(source) {
	const logger = winston.createLogger({
		transports: [
			get_errors_log_transport(source),
			get_combined_log_transport(source)
		]
	});

	if (process.env.NODE_ENV !== "production") {
		logger.add(get_console_transport(source));
	}

	winston.addColors(my_custom_levels);
	return logger;
}

module.exports = get_default_logger;
