const winston = require("winston");
const get_console_format = require("./get_console_format.js");

/**
 * Returns the default console transport.
 * @see https://github.com/winstonjs/winston#transports
 *
 * @param  {String} source
 * @param  {String} [console_level = process.env.NODE_CONSOLE_LEVEL]
 */
module.exports = function(
	source,
	CONSOLE_LEVEL = process.env.NODE_CONSOLE_LEVEL || "silly"
) {
	let console_transport = new winston.transports.Console({
		format: get_console_format(source),
		level: CONSOLE_LEVEL
	});

	return console_transport;
};
