const { format } = require("winston");

/**
 * Returns the default log format.
 * @see https://github.com/winstonjs/winston#formats
 *
 * @param   {String} [source="default"]
 */
module.exports = function(source = "default") {
	const log_format = format.combine(
		format.json(),
		format.printf(info => {
			const json_log = {
				timestamp: new Date().toISOString(),
				level: info.level,
				source: `${source.toUpperCase()}.${process.pid}`,
				message: info.message
			};
			return JSON.stringify(json_log);
		})
	);

	return log_format;
};
